Skip to main content
Cards

Get a list of cards

This method requires the Cards:Get permission to be associated with your role.

GET
/fm/cards
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
card_numberstringquery

Optional Card Number

This field supports the wildcard % operator.

Maximum string length: 40
contract_idstringquery

Optional Contract Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
supplier_idstringquery

Optional Supplier Id

Supplier must be of type 'card-services'

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
expiry_datestringquery

Optional Expiry Date

Pattern: ([0-9]{4})-(?:[0-9]{2})-([0-9]{2})
status_flagenum<string>query

Optional Status Flag

Note: 'deleted' records cannot be returned.

Available options: active, inactive
pageintegerquerydefault:1

Optional page number

Required range: 1 <= x <= 2147483647
page_sizeintegerquerydefault:25

Optional page size

Required range: -1 <= x <= 2147483647

Response

application/vnd.catch-e-api.v1+json

Success

_embeddedobject
pageinteger
Example: 1
page_countinteger
Example: 1
page_sizeinteger
Example: 25
total_itemsinteger
Example: 1